locked
Can't Install Security Compliance Manager RRS feed

  • Question

  • Trying to install the security compliance manager. However, if I select the Download and Install option the install fails because it doesn't seem to be smart enough to handle a proxy connection. If I select the install option to tell the installer I've already downloaded SQL Server Express, the installer says the installer is invalid.

    Finally, haven't been able to find a way to tell the installer that SQL Server express is already installed.

    All I need is the Windows 7 Security Baseline. If you've a path to the baseline which is independent of the security compliance manager, that would be great. TIA.

     

    Saturday, June 26, 2010 3:10 PM

All replies

  • Same problem here - I already have SQL Express and I'm on a Firewall that doesn't allow downloads. The installer doesn't recognize my existing installation.
    Thursday, July 15, 2010 6:50 PM
  • and also the same for me. Can't use the option to download and automatically install and have been unable to get SCM to recognize a 'valid' installation package. SQL Express 2008 is installed on my machine and I also have the installer .exe (and the extracted files) stored locally.

    Any help would be appreciated.

     

    TIA,

    Thomas

    Friday, July 16, 2010 7:32 AM
  • made it. It seems I used the wrong version(s) of SQL Express 2008, which is why SCM told me the installer was invalid.

    I used the file 'SQLEXPR_x64_ENU.exe' (on a W2k8R2 system), file size 83MB. Downloaded it here .

    That file was accepted by SCM and it went through the installation process successfully.

    HTH,

    Thomas

    Friday, July 16, 2010 8:01 AM
  • Thanks for responding. I realized that I have an earlier version of SQL Express, because I'm running an application that requires it.
    Thursday, July 22, 2010 5:51 PM
  • I realise this is an old thread, but I'm posting to help others like me.  The SCM release notes still don't tell you which SQL express version you need.

    SCM 1.1.3 installer only accepts SQL Express versions 2005, 2008 or 2008 SP1.

    By examing the SCMSetup.log you can see it checks for a Product name matching one of these "Microsoft SQL Server 2008 Express|SQL Server 2008 Express SP1|Microsoft SQL Server 2008 Express \(x64\)|Microsoft SQL 2008 Server Express Edition|Microsoft SQL 2005 Server Express Edition".

    Before checking this I had already unsuccessfully tried 2008 R2, and 2008 SP2.

    Tuesday, April 12, 2011 12:11 PM